
set( darkmon_VERSION 1.00.08 )
set( darkmon_UPS_VERSION v1_00_08 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( darksidecore v1_00_00 )
    find_ups_product( artdaq_core v1_04_00 )
    find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_product( fhiclcpp v3_06_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( fftw v3_3_2 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( DARKMON_BUILDINFO  $ENV{DARKMON_LIB}/libdarkmon_BuildInfo.so )
      set( DARKMON_ARTMODULES  $ENV{DARKMON_LIB}/libdarkmon_ArtModules.so )
      set( DARKMON_ARTMODULES_DICT  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_dict.so )
      set( DARKMON_ARTMODULES_ROOTAPPLICATION_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_RootApplication_module.so )
      set( DARKMON_ARTMODULES_WFVIEWER_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_WFViewer_module.so )
      set( DARKMON_ARTMODULES_POWERSPECTRUM_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_PowerSpectrum_module.so )
      set( DARKMON_ARTMODULES_MONITORBASELINE_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_MonitorBaseline_module.so )
      set( DARKMON_ARTMODULES_MONITORTRIGGER_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_MonitorTrigger_module.so )
      set( DARKMON_ARTMODULES_MONITORSER_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_MonitorSer_module.so )
      set( DARKMON_ARTMODULES_MONITORSPECTRUM_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_MonitorSpectrum_module.so )
      set( DARKMON_ARTMODULES_MONITORLIVETIME_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_MonitorLiveTime_module.so )
      set( DARKMON_ARTMODULES_MONITORTDCS_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_MonitorTDCs_module.so )
      set( DARKMON_ARTMODULES_ONLINERUNINFO_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_OnlineRunInfo_module.so )
      set( DARKMON_ARTMODULES_ONLINEWAVEFORM_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_OnlineWaveform_module.so )
      set( DARKMON_ARTMODULES_ONLINETDCCLUSTER_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_OnlineTDCCluster_module.so )
      set( DARKMON_ARTMODULES_ONLINECLUSTER_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_OnlineCluster_module.so )
      set( DARKMON_ARTMODULES_ONLINEPOSITION_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_OnlinePosition_module.so )
      set( DARKMON_ARTMODULES_SELECTS1S2_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_SelectS1S2_module.so )
      set( DARKMON_ARTMODULES_RUNINFO_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_RunInfo_module.so )
      set( DARKMON_ARTMODULES_RUNMETADATA_MODULE  $ENV{DARKMON_LIB}/libdarkmon_ArtModules_RunMetadata_module.so )
      include_directories ( $ENV{DARKMON_INC} )

check_required_components(darkmon)

